// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDVIEW_H__D708B4F8_696E_11D3_8300_00500403D09E__INCLUDED_)
#define AFX_CHILDVIEW_H__D708B4F8_696E_11D3_8300_00500403D09E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:

// Operations
public:

	void SetWindowCursor(HCURSOR c);
	void SetMouseMode(int mouseMode);
	void ZoomOut();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CChildView();

	// Generated message map functions
protected:
	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy( );
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	//view states and cursor functions
	void UpdateCursor();

	enum
	{
		MouseModeNone = 0,
		MouseModeExamine = 1,
		MouseModeLeftPassThrough = 2,
		MouseModeRightPassThrough = 3,
		MouseModeMenu = 4,
		MouseModeZoomIn = 5,
		MouseModePan = 6,
		MouseModeZoomOut = 7
	};

	unsigned int LeftButtonMode;
	

	int StartXPos;
	int StartYPos;

	int PrevXPos;
	int PrevYPos;
	
	int XPos;
	int YPos;
	int IsPressed;
	int HasMoved;

	double InitWindowWidth;
	double InitWindowX;
	double InitWindowY;

	double CenterX, CenterY;
	double RadiusX, RadiusY;

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDVIEW_H__D708B4F8_696E_11D3_8300_00500403D09E__INCLUDED_)
