#ifndef __XGLState_h
#define __XGLState_h


class CXGLState
{
public:

	void GetWorldPositionAndExtents(double *worldX, double *worldY, double *worldZ, double *worldExtent);
	void SetWorldPositionAndExtents(double worldX, double worldY, double worldZ, double worldExtent);

	void GetWorldRotation(double *fx, double *fy, double *fz, double *ux, double *uy, double *uz);
	void SetWorldRotation(double fx, double fy, double fz, double ux, double uy, double uz);

	void GetWindowCoords(double *x, double *y, double *z, double *xWidth, double *yWidth, double *zWidth);
	void SetWindowCoords(double x, double y, double z, double xWidth, double yWidth, double zWidth);

protected:

	double WorldFX;
	double WorldFY;
	double WorldFZ;
	double WorldUX;
	double WorldUY;
	double WorldUZ;

	double WorldX;
	double WorldY;
	double WorldZ;
	double WorldExtent;

	double WindowX;
	double WindowY;
	double WindowZ;
	double WindowXWidth;
	double WindowYWidth;
	double WindowZWidth;

};

extern CXGLState XGLState;

#endif