#define WORLD "world"
#define OBJECT "object"
#define OBJECT_REF "objectref"
#define EXTERNAL_OBJECT_REF "include"
#define EXTERNAL_OBJECT_STATIC_REF "includestatic"

#define LIGHTING "lighting"

#define REF "ref"
#define EXTENTS "extents"
#define REF_TYPE "reftype"

#define TRANSFORM "transform"
#define MESH "mesh"
#define MESH_REF "meshref"

#define FORWARD "forward"
#define UP "up"
#define TRANS_POSITION "position"
#define SCALE "scale"

#define MATERIAL "mat"
#define MATERIAL_EMISSIVE "emiss"
#define MATERIAL_DIFFUSE "diff"
#define MATERIAL_SPECULAR "spec"
#define MATERIAL_AMBIENT "amb"
#define MATERIAL_SHININESS "shine"
#define MATERIAL_ALPHA "alpha"

#define LINESTYLE "linestyle"
#define LINESTYLE_WIDTH "linewidth"
#define LINESTYLE_PATTERN "linepattern"
#define LINESTYLE_PATTERNFACTOR "linepatternfactor"

#define POINTSTYLE "pointstyle"
#define POINTSTYLE_SIZE "pointsize"

#define FACE "f"
#define FACE_VERTEX1 "fv1"
#define FACE_VERTEX2 "fv2"
#define FACE_VERTEX3 "fv3"
#define SMOOTHING_GROUP "s"

#define LINE "l"
#define LINE_VERTEX1 "lv1"
#define LINE_VERTEX2 "lv2"

#define POINT "pt"
#define POINT_VERTEX1 "pv1"

#define VERTEX_POSITION "p"
#define NORMAL "n"
#define TEXTURECOORDINATE "tc"

#define MATERIAL_REF "matref"
#define LINESTYLE_REF "linestyleref"
#define POINTSTYLE_REF "pointstyleref"
#define VERTEX_REF "pref"
#define NORMAL_REF "nref"
#define TEXTURECOORDINATE_REF "tcref"

#define ID "id"
#define PATHID "pathid"
#define PATCHID "patchid"



#define DIRECTIONAL_LIGHT "directionallight"

#define LIGHT_DIFFUSE "diffuse"
#define LIGHT_SPECULAR "specular"
#define LIGHT_DIRECTION "direction"
#define LIGHT_AMBIENT "ambient"

#define BACKGROUND "background"
#define BACKGROUND_COLOR "backcolor"

#define SURFACE "surface"

#define DATA "data"
#define ORGANIZATION "org"

#define STRING "str"
#define BIN "bin"
#define DATANAME "name"

#define PATCH "patch"

//texture tags
#define TEXTURE "texture"
#define TEXTURE_REF "textureref"
#define TEXTURERGB "texturergb"
#define TEXTURERGB_REF "texturergbref"
#define TEXTURERGBA "texturergba"
#define TEXTURERGBA_REF "texturergbaref"
#define REPLACE "replace"
#define MODULATE "modulate"
#define DECAL "decal"
#define REPEAT "repeat"
#define CLAMP "clamp" 
#define WIDTH "width"
#define HEIGHT "height"
#define TEXTUREBORDERCOLOR "texturebordercolor"

//Extended Geometrical Tags
#define EXTGEOM "extgeom"
#define EXTGEOMELEM "extgeomelem"
#define EXTGEOMELEMDATA "extgeomelemdata"
#define EXTGEOMELEMEXTENTS "extgeomelemextents"
#define EXTGEOMELEMPRIORITY "extgeomelempriority"
#define EXTGEOMELEMTYPE "type"

#define NAME "name"